#!/usr/bin/env python
# -*- coding: UTF-8 -*-

""" This application starts Logout process.
"""

##############################################################################
#    Copyright (C) 2013 by Javier Peña Blazquez
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
##############################################################################

##############################################################################
# Author:    Javier Pena Blazquez <javipenya@gmail.com>
# License:   http://www.apache.org/licenses/LICENSE-2.0 Apache License 2.0
##############################################################################

import cgitb
cgitb.enable()
from EasyPyPoA.EasyPyPoA import EasyPyPoA
from EasyPyPoA.EasyPyPoAError import *

header = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">\n'
header += '<html>\n'
header += '<head>\n'
header += '<title>EasyPyPoA TEST</title>\n'
header += '</head>\n'

body = ""

try:
    poa = EasyPyPoA('TestEasyPoA')

    poa.sign_off_request()

except ConfigurationError as e:
    body = '<body>\n'
    body += '<h1>Error in the configuration of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except SessionError as e:
    body = '<body>\n'
    body += '<h1>Failed EasyPyPoA Session Management</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except PoAError as e:
    body = '<body>\n'
    body += '<h1>Error in the execution of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
finally:
    print "Content-Type: text/html"
    print
    print header
    print body

