#!/usr/bin/env python
# -*- coding: UTF-8 -*-

""" This application invokes EasyPyPoA to check its operation.
"""

##############################################################################
#    Copyright (C) 2013 by Javier Peña Blazquez
#
#    Licensed under the Apache License, Version 2.0 (the "License");
#    you may not use this file except in compliance with the License.
#    You may obtain a copy of the License at
#
#        http://www.apache.org/licenses/LICENSE-2.0
#
#    Unless required by applicable law or agreed to in writing, software
#    distributed under the License is distributed on an "AS IS" BASIS,
#    WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
#    See the License for the specific language governing permissions and
#    limitations under the License.
#
##############################################################################

##############################################################################
# Author:    Javier Pena Blazquez <javipenya@gmail.com>
# License:   http://www.apache.org/licenses/LICENSE-2.0 Apache License 2.0
##############################################################################

import cgitb
cgitb.enable()
from EasyPyPoA.EasyPyPoA import EasyPyPoA
from EasyPyPoA.EasyPyPoAError import *

header = '<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "DTD/xhtml1-transitional.dtd">\n'
header += '<html>\n'
header += '<head>\n'
header += '<title>EasyPyPoA TEST</title>\n'
header += '</head>\n'

body = ""


try:
    poa = EasyPyPoA('TestEasyPoA')
    if poa.check_access():
        body = '<body>\n'
        body += '<h1>User has access permissions</h1>\n'
        body += '<p>SERVICE ID: ' + poa.get_serviceID() + '</p>'
        body += '<p>The data of the user assertion are: </p>\n'
        userData = poa.get_user_data()
        for attr, values in userData.items():
            	body += '<p>' + attr + ' --> '
                for v in values:
                    body += v + ', '
                body = body[:-2]
                body += '</p>'
        body += 'Issuer of the Assertion: ' + poa.get_issuer()
        body += '</body>\n</html>\n'
    else:
        body = '<body>\n'
        body += '<h1 style="color:red;">User has not access permissions</h1>\n'
        body += '</body>\n</html>\n'

except ConfigurationError as e:
    body = '<body>\n'
    body += '<h1>Error in the configuration of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except CryptError as e:
    body = '<body>\n'
    body += '<h1>Cryptographic error in the execution of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except SessionError as e:
    body = '<body>\n'
    body += '<h1>Failed EasyPyPoA Session Management</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except PoAError as e:
    body = '<body>\n'
    body += '<h1>Error in the execution of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
except Exception as e:
    body = '<body>\n'
    body += '<h1>Unexpected Error in the execution of EasyPyPoA</h1>'
    body += '<p>' + str(e) + '</p>'
    body += '</body>\n</html>\n'
finally:
    print "Content-Type: text/html"
    print
    print header
    print body


